/*
ITDB02 Displej knihovna pro 8bitove MCU ATmega

Knihovna vychazi z Henning Karlsenovi knihovny ITDB02_Graph dostupne na adrese
http://www.henningkarlsen.com/electronics/a_l_itdb02_graph.php a z knihovny
uvedene na adrese http://iteadstudio.com/application-note/itdb02-display-lib-for-stm32-gcc/

Autor: Pavel Matyas a Petr Hrach


*/




#define LCD_DDR_DB		DDRA	// 
#define LCD_DDR_DATA	DDRD	// 
#define LCD_PORT_DB		PORTA	// vstupn port pro datove piny DB08 - DB15 lcd displeje
#define LCD_PORT_DATA	PORTD	// vstupn port pro rdc piny RS/WR/CS/RST
#define LCD_RS_PIN		PD0		// RS vstup displeje
#define LCD_WR_PIN		PD1		// WR vstup displeje
#define LCD_CS_PIN		PD2		// CS vstup displeje
#define LCD_RST_PIN		PD3		// RST vstup displeje

#define LEFT 			0
#define RIGHT 			9999
#define CENTER 			9998
	
#define FONT_SMALL 		1
#define FONT_LARGE 		2

/* P R O T O T Y P Y   F U N K C I  */

/* GRAFICKE OBJEKTY */

void drawRect(int x1, int y1, int x2, int y2, unsigned char r, unsigned char g, unsigned char b);		// Vykresli obdelnik
void fillRect(int x1, int y1, int x2, int y2, unsigned char r, unsigned char g, unsigned char b);		// Vykresli plny obdelnik
void fillCircle(int x, int y, int radius, unsigned char r, unsigned char g, unsigned char b);			// Vykresli vyplnenou kruznici
void drawHLine(int x, int y, int l, unsigned char r, unsigned char g, unsigned char b);					// Vykresli horizontalni linku
void drawVLine(int x, int y, int l, unsigned char r, unsigned char g, unsigned char b);					// Vykresli vertikalni linku
void drawCircle(int x, int y, int radius, unsigned char r, unsigned char g, unsigned char b);			// Vykresli kruznici
void drawLine(int x1, int y1, int x2, int y2, unsigned char r, unsigned char g, unsigned char b);		// Vykresli linku z bodu [x1,y1] do bodu [x2,y2]
void drawRoundRect(int x1, int y1, int x2, int y2, unsigned char r, unsigned char g, unsigned char b);	// Vykresli obdelnik se zaoblenymi rohy
void fillRoundRect(int x1, int y1, int x2, int y2, unsigned char r, unsigned char g, unsigned char b);	// Vykresli vyplneny obdelnik se zaoblenymi rohy
void drawBitmap(int x, int y, int sx, int sy, unsigned int* data);										// Vykresli bitmapov obrzek


/* VYPIS TEXTU */

void printChar(unsigned char c, int x, int y);		// Vykresli jeden znak
void print(char *st, int x, int y, int deg);		// Vykresli text
void printNumI(long num, int x, int y);				// Vykresli cele cislo
void fontSize(unsigned char size);					// Nastavi velikost pisma
void printNumF(double num, unsigned char dec, int x, int y);							// Vykresli desetinne cislo

/* OSTATNI FUNKCE */

void InitLCD(void);			// Inicializace displeje
void clrScr(void);			// Vymazn obsahu displeje
void setColor(unsigned char r, unsigned char g, unsigned char b);		// Nastavi barvu objektu ve formatu RGB
void setBackColor(unsigned char r, unsigned char g, unsigned char b);	// Nastavi barvu pozadi ve formatu RGB
void setPixel(unsigned char r, unsigned char g, unsigned char b);		// Nastavi barvu pixelu
void fillScr(unsigned char r, unsigned char g, unsigned char b);		// Vyplni displej zvolenou barvou						
void drawPixel(int x, int y, unsigned char r, unsigned char g, unsigned char b);		// Vykresli jeden pixel
void GPIO_Config(void);
void LCD_Writ_Bus(unsigned char H, unsigned char L);
void LCD_Write_COM(char VH,char VL);
void LCD_Write_DATA(char VH,char VL);
void main_W_com_data(int com1,int dat1);
void setXY(unsigned int x1,unsigned int y1,unsigned int x2,unsigned int y2);
int abs(int i);
int strlen(char * str);

